#!/usr/bin/env node

/**
 * Tmplify prototype.
 */

'use strict'

process.chdir(`${__dirname}/..`)

const apeTasking = require('ape-tasking')
const tmplconv = require('tmplconv')

apeTasking.runTasks('tmplify', [
  () => tmplconv.tmplify('asset/prototype', 'asset/tmpl', {
    clean: true,
    mode: '444',
    pattern: [
      'Apemanfile.js'
    ],
    ignore: [
      '.DS_Store',
      '.svg'
    ],
    data: {
      'pkg': './package.json',
      'env': './env'
    }
  })
], true)
